#include "rufeol.h"

void version_guide(double v, BOOL comments) {
    fprintf(stderr, "rufeol C-%1.3f\n\n", v);

    if(comments) {
        fprintf(stderr, "rufeol -m csv        # Remove a separator from every end of line. \n");
        fprintf(stderr, "rufeol -u3 text      # Remove 3 unnecessary characters from every end of line. \n");
        fprintf(stderr, "rufeol -u3 text new  # Read text to produce a new file. \n");
        fprintf(stderr, "rufeol -u3 -r text   # Every line includes 0Dh. \n");
        fprintf(stderr, "rufeol -u3 -y text   # Do not remove binary.tmp \n");
        fprintf(stderr, "rufeol -u3 -w2 text  # Read a double-spaced text to produce a draft. \n");
        fprintf(stderr, "rufeol -x2 text      # Read a double-spaced text to produce a draft. \n");
        fprintf(stderr, "rufeol -V            # version \n");
        fprintf(stderr, "rufeol -VC           # version with comments \n");
        fprintf(stderr, "rufeol --help        # version with comments \n");
    } else {
        fprintf(stderr, "rufeol -m csv        \n");
        fprintf(stderr, "rufeol -u3 text      \n");
        fprintf(stderr, "rufeol -u3 text new  \n");
        fprintf(stderr, "rufeol -u3 -r text   \n");
        fprintf(stderr, "rufeol -u3 -y text   \n");
        fprintf(stderr, "rufeol -u3 -w2 text  \n");
        fprintf(stderr, "rufeol -x2 text      \n");
        fprintf(stderr, "rufeol -V            \n");
        fprintf(stderr, "rufeol -VC           \n");
        fprintf(stderr, "rufeol --help        \n");
    }

    exit(1);
}
