#ifndef NUMBERED_H
#define NUMBERED_H

#ifdef __BORLANDC__
#pragma warn -8004
#pragma warn -8012
#endif

#define FINAL 2147483647 /* 0x7FFFFFFF */
/*            1234567890 */
#define FINAL_SIZE_1 11 /* 10 + 1 */
#define NOT_CONVERTED -1
#define NOT_FOUND -1
#define TRIMMING 1
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "bool_true.h"

typedef struct NUMBERED NUMBERED;
struct NUMBERED {
    BOOL trimmed;
    char *p;
    char *pt;
    int final, length, non_number_length, span, trimmed_sequence_length;
    char *f;
    char *ft;
    char *s;
    char *st;
};

BOOL trimmed_sequence(NUMBERED *n);
char *parameter(NUMBERED *n);
int number(NUMBERED *n);
int subnumber(NUMBERED *n);
void free_arrays(NUMBERED *n);
void numbered(NUMBERED *n, char *a);
void numbered_less_than_final(NUMBERED *n, char *a, int less_than_FINAL);

#endif /* NUMBERED_H */
